USB_DEVICE
Prev | Chapter 4. Host-Side Data Types and Macros | Next

## Name

USB_DEVICE — macro used to describe a specific usb device

## Synopsis

`USB_DEVICE (` |  | vend,
|  | prod`)`;

## Arguments

`vend`

  the 16 bit USB Vendor ID

`prod`

  the 16 bit USB Product ID

## Description

This macro is used to create a struct usb_device_id that matches a specific device.

Prev | Up | Next
usb_endpoint_is_isoc_out | Home | USB_DEVICE_VER